ThinkPHP6开发博客实战入门(二),ThinkPHP6的安装与配置

推荐 Thinkphp 最后发表:2020-07-08

thinkphp6环境要求php >= 7.1.0,而且必须通过composer方式安装和更新,当然,上一篇教程我们已经安装好了,而且默认安装的php版本是php7.3.4,符合环境要求。

那么什么是composer呢?

composer是php的一个依赖管理工具,简单的说就是我们需要用到的php项目或者扩展都可以通过composer安装,thinkphp6也需要用composer方式安装。

打开phpstudy首页,选择网站,管理,点击composer,确认,就会出现下面的命令行程序

image

image

由于众所周知的原因,国外的网站连接速度很慢,因此安装的时间可能会比较长,建议使用国内镜像。

输入并执行如下命令,使用阿里云镜像:

composer config -g repo.packagist composer https://mirrors.aliyun.com/composer/

image

接着输入并执行如下命令,安装thinkphp6稳定版:

composer create-project topthink/think tp

image

稍等片刻,如果出现以上提示,表示thinkphp6就安装好了 接着输入并执行如下命令,切换到应用根目录

cd tp

image

接着输入并执行如下命令,安装多应用模式扩展think-multi-app

composer require topthink/think-multi-app

image

稍等片刻,如果出现以上提示,表示think-multi-app就安装好了 接着输入并执行如下命令,安装think-view模板引擎驱动

composer require topthink/think-view

image

稍等片刻,如果出现以上提示,表示think-view就安装好了(现在可以关闭命令行程序了)

最后打开phpstudy网站管理,修改,浏览根目录到E:/phpstudy_pro/WWW/tp/public,确认

image

打开浏览器,输入127.0.0.1,如果出现以下信息,那么恭喜你,thinkphp6就已经安装好了

image